Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.mdex.cache
Interface MDEXCacheManager

All Known Implementing Classes:
  DefaultMDEXCacheManager, NaiveEternalCacheManager, NoOpLoggingCacheManager

    public interface MDEXCacheManager

Interface defining the implementation classes to cache MDEX queries. This interface is likely to change in future releases.

Author:
  Endeca Technologies, Inc.

Method Summary
`void` | `cacheResults(com.endeca.mdex.conversation.ConversationPort port, com.endeca.mdex.conversation.Request query, com.endeca.mdex.conversation.Results results)` Put results into the cache for MDEX 7 queries
`void` | `cacheResults(com.endeca.navigation.HttpENEConnection connection, com.endeca.navigation.ENEQuery query, com.endeca.navigation.ENEQueryResults results)` Put results into the cache for MDEX 6 queries
`com.endeca.mdex.conversation.Results` | `getCachedResults(com.endeca.mdex.conversation.ConversationPort port, com.endeca.mdex.conversation.Request query)` Get the cached version of results for MDEX 7 queries
`com.endeca.navigation.ENEQueryResults` | `getCachedResults(com.endeca.navigation.HttpENEConnection connection, com.endeca.navigation.ENEQuery query)` Get the cached version of results for MDEX 6 queries

Method Detail

### getCachedResults

    com.endeca.navigation.ENEQueryResults getCachedResults(com.endeca.navigation.HttpENEConnection connection,
                                                           com.endeca.navigation.ENEQuery query)

  Get the cached version of results for MDEX 6 queries

  Parameters:
    `connection` -
    `query` -
  Returns:
    the cached results

### cacheResults

    void cacheResults(com.endeca.navigation.HttpENEConnection connection,
                      com.endeca.navigation.ENEQuery query,
                      com.endeca.navigation.ENEQueryResults results)

  Put results into the cache for MDEX 6 queries

  Parameters:
    `connection` -
    `query` -
    `results` -

### getCachedResults

    com.endeca.mdex.conversation.Results getCachedResults(com.endeca.mdex.conversation.ConversationPort port,
                                                          com.endeca.mdex.conversation.Request query)

  Get the cached version of results for MDEX 7 queries

  Parameters:
    `port` -
    `query` -
  Returns:
    the cached results

### cacheResults

    void cacheResults(com.endeca.mdex.conversation.ConversationPort port,
                      com.endeca.mdex.conversation.Request query,
                      com.endeca.mdex.conversation.Results results)

  Put results into the cache for MDEX 7 queries

  Parameters:
    `port` -
    `query` -
    `results` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD